---
path: "/techops"
title: "🔌 Technical Operations"
sidebarTitle: "🔌 TechOps"
sidebarGroup:
yaml: true
levels: 5
homepage: false
topics:
  - name: "communication"
    title: "💬 Communication"
    content:
      - level: 1
        criteria:
          - "Reads, digests and comments on proposals"
          - "Seeks guidance from other TechOps specialists, rather than answers"
          - "Actively communicates what they are working on"
          - "Seeks out feedback"
          - "Gives clear concise updates in team meetings and stand ups on material which is relevant for the team"
      - level: 2
        criteria:
          - "Proactively communicates to their team what they are working on, why, how it's going and what help they need"
          - "Accepts feedback graciously"
          - "Gives feedback to peers when asked"
          - "Can deliver their work to their team and others outside the team"
          - "Proactively gives feedback to those they work closely with"
      - level: 3
        criteria:
          - "Transparent about mistakes they've made, early"
          - "Proactively gives timely actionable feedback to peers"
          - "Proactively seeks feedback from the people around them"
          - "Considers the opinions of others before defending their own"
          - "Communicates effectively to a wide range of stakeholders, e.g. sharing update with ExCo/all hands or community."
          - "Can successfully get buy-in for their proposals"
      - level: 4
        criteria:
          - "Proactively gives feedback 'upwards' and to people they interact with who are not in their team"
          - "Transparent in making design and technical decisions"
          - "Helps people in non-technical roles understand technical constraints / trade-offs"
          - "Shares technical context and direction for less experienced engineers"
          - "Gives direct and constructive feedback to other engineers"
          - "Communicates their area’s role within the larger mission of the company"
      - level: 5
        criteria:
          - "Helps other people develop themselves and regularly gives insightful, useful feedback to those around them"
          - "Talks to non-technical stakeholders on appropriate level of abstraction"
          - "Communicates the long-term vision & mission for the company and their area"
  - name: "knowledge"
    title: "🧠 Knowledge"
    content:
      - level: 1
        criteria:
          - "Knows what they need to do their role and knows who to go to if they don't know something"
          - "Proactively seeks out the information they need to solve a problem"
          - "Consistently striving to learn more"
          - "Learning just as much as adding value"
          - "Has enough knowledge to make informed decisions"
      - level: 2
        criteria:
          - "Go to person within the team on their area. Team defaults to their opinion where there is uncertainty."
          - "Knows which areas they know the best and proactively advises on these areas in team discussions and planning"
          - "Works to increase their and their team's knowledge in these areas"
          - "Identifies areas/subjects they don’t know and proactively seeks out knowledge"
          - "Increased domain knowledge, has started to take on areas of work which they didn’t necessarily have knowledge on before they started"
          - "Aware of their weaknesses"
      - level: 3
        criteria:
          - "Go to expert within company, e.g. invited to give opinion at C Suite meetings."
          - "Understands technical proposals within their area and the business implications of these."
          - "Knows which areas they know the best and proactively advises on these areas in team discussions and planning"
          - "Works to increase their and their team's knowledge in these areas"
          - "Identifies areas/subjects they don’t know and proactively seeks out knowledge"
          - "Increased domain knowledge"
          - "Aware of their weaknesses"
      - level: 4
        criteria:
          - "Works to increase industry knowledge in their core area."
          - "A key commentator on the industry, e.g. invited to give opinion at external committees, publishes blogs and disseminates knowledge to team."
          - "Challenges proposed solutions in order to get to better ones. Comfortable challenging technical proposals within their area."
          - "Constantly teaching and looking for new ways to share knowledge and skills with others."
          - "Has depth of knowledge in a particular area and breadth of knowledge across their domain"
          - "You know who the experts are and delegate accordingly"
      - level: 5
        criteria:
          - "Constantly innovating, learning, teaching and looking for new ways to do things which haven't been done before. Shares these new ways of doing things internally and externally. Is a recognised industry expert outside of Intugine."
          - "Comfortable creating optimal technical proposals within their area of expertise."
          - "Wide breadth of knowledge"
          - "Can easily context switch within their area and pick up new concepts"
  - name: "conduct"
    title: "👩‍💻 Conduct"
    content:
      - level: 1
        criteria:
          - "Follows policies and procedures applicable to their role. Completes training."
          - "Accepts feedback graciously and acts on it. Gives feedback when requested"
          - "Builds relationships within Intugine and contributes to building a supportive, knowledgeable and engaged peer group"
          - "Follows policies and procedures applicable to role"
          - "Completes training"
          - "Identifies and considers the risks related to their own work"
      - level: 2
        criteria:
          - "Communicates and escalates risks related to own projects and business area"
          - "Works with speed as a habit"
          - "Applies and follows governance principles as they apply to role"
          - "Communicates and escalates risks related to own projects and business area"
          - "Ensures colleagues actively analyse and address risks in their area"
      - level: 3
        criteria:
          - "Communicates and escalates risks related to own projects and business area"
          - "Works with efficiency as a habit"
          - "Seeks out and gives constructive, actionable feedback where valuable."
          - "Applies and follows governance principles as they apply to role"
          - "Communicates and escalates risks related to own projects and business area"
          - "Ensures colleagues actively analyse and address risks in their area"
  - name: "impact"
    title: "💥 Impact"
    content:
      - level: 1
        criteria:
          - "Delivers assigned tasks, working with a more senior team member, and able to take feedback onboard to improve their work"
          - "Independently works on small, low-impact, well-defined task"
          - "Looks to optimise existing work (eg processes, procedures, products, etc)"
      - level: 2
        criteria:
          - "Delivers assigned tasks that meet expected criteria"
          - "Works for the team, focuses on tasks that contribute to team goals"
          - "Tries to unblock themselves first before seeking help"
          - "Manages their own time effectively, prioritises their workload well, on time for meetings, aware when blocking others and unblocks when they can"
          - "Breaks down small/medium problems into iterative steps"
          - "Owns small tasks with minimum support. Drives forward small projects."
          - "Takes the initiative to do things or to fix things. Doesn't shy away from picking up new things which need to be done."
          - "Manages medium-sized processes or projects with some instruction"
      - level: 3
        criteria:
          - "Owns problems, generates solutions and leads implementation."
          - "Manages large or complex projects or areas with some instruction."
          - "Drives forward or initiates medium sized, relatively-complex processes or projects with minimum support."
          - "Prioritises defined projects based on effort, impact, user needs and business goals."
          - "Identifies problems that need solving. Accurately scopes out length and difficulty of tasks and projects."
          - "Comfortable changing direction quickly where required."
          - "Effectively navigates challenging trade-offs between achieving goals and ensuring optimal customer experience."
          - "Identifies problems to solve"
      - level: 4
        criteria:
          - "Solves ambiguous problems"
          - "Leads writing large scope proposals"
          - "Thrown at fires and resolves / contributes heavily to resolving them"
          - "Makes pragmatic choices about taking on technical debt"
          - "Considers multiple different solutions for solving a problem"
          - "Breaks down projects into smaller iterative steps that each deliver value"
          - "Can take a long-term vision and define building blocks to get there"
      - level: 5
        criteria:
          - "Solves the 'hard problem' in a project"
          - "Solves larger ambiguous problems"
          - "Leads incident resolutions"
          - "Makes judgements about when to diverge from the immediate goal to achieve something else"
          - "Leads writing large scope proposals"
          - "Breaks down large long-lasting projects into sensible discrete chunks that compound to achieve a large goal"
          - "Helps prioritise and balance short-term and long-term investments, focusing on high impact, high value work"
          - "Understands the big picture and integrates company goals into their area"
  - name: "influence"
    title: "🕺 Influence"
    content:
      - level: 1
        criteria:
          - "Improves documentation that is incorrect"
          - "Brings new ideas to the table to improve technical aspects of Intuginenaut’s day to day life"
      - level: 2
        criteria:
          - "Proactively raises issues they spot in retrospectives"
          - "Identifies problems and influences priority"
      - level: 3
        criteria:
          - "Provides valuable input to proposals from their team"
          - "Proactively improves modules, services, systems and codebases they encounter, 'this doesn't make sense, I'm going to do something about it'"
          - "Contributes to scaling TechOps hiring (e.g. leads calls, does onsite interviews)"
          - "Builds simple tools or iterates existing tools for the benefit of all TechOps staff"
      - level: 4
        criteria:
          - "Positively influences technical thinkers in the wider organisation"
          - "Maintains documentation on things they know the most, makes it easy for future TechOps Specialists to interact with systems"
          - "Clears blockers for junior team members, provides context and guidance, or knows how to escalate appropriately"
          - "Asks why. Does not take truths for granted unless they understand exactly where they are coming from (especially with regards to regulation, compliance, etc)"
          - "Drives changes to technical practices with well-reasoned arguments and a 'strong opinion, weakly held' mentality"
          - "Breaks down delivery and knowledge silos in their squad"
      - level: 5
        criteria:
          - "Represents Intugine at conferences/events"
          - "Given as a reason for other engineers to join Intugine"
          - "Proactively shares knowledge internally"
          - "Acts as the 'sole proprietor', in the CEO mindset, their ego/agenda is not a factor in their thinking or decision making"
  - name: "leadership"
    title: "👨‍🏫 Leadership"
    content:
      - level: 3
        criteria:
          - "Leads other team members in TechOps in large projects and helps get the most out of each person"
          - "Helps define Weekly and Quarterly team planning sessions"
          - "Runs retrospectives on large projects and team achievements"
      - level: 4
        criteria:
          - "Contributes to maintaining the Intugine culture in their team, helping new joiners"
          - "Gets buy-in on technical decision-making and proposed designs"
          - "Proactively involves other relevant engineers"
          - "Instills Intugine engineering principles into the team, even for operational tasks"
          - "Helps the growth of other team members around them through coaching and mentoring"
          - "Helps their squad work together more effectively"
          - "Helps facilitate team/squad rituals"
      - level: 5
        criteria:
          - "Instills Intugine engineering principles across a whole squad of engineers"
          - "Works with relevant Engineering Managers to help other engineers perform and grow"
          - "Fosters effective collaboration in multi-disciplinary squads (backend, mobile, data, design, web)"
          - "Delegates technical decisions with low risk and high reversibility"
          - "Owns technical decisions with high risk and low reversibility"
          - "Contributes to maintaining the Intugine culture in the wider company"
          - "Bootstraps new teams"
---
